Subject: Re: bug#55068: 29.0.50; crashes when trying to set default font

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 23 May 2022 10:01:12 +0200

Gregor Zattler <[email-masked]> writes:

> 1. Start emacs -Q
> 2. click "Option" in menu bar
> 3. click "Set default Font" in drop down  menu

This pops up the `x-select-font' font chooser for me, so I can't
reproduce it directly...

> 4. hoover over  "More Fonts" on context menu
> 5. click "by Family"
> 6. emacs crashes

But calling `mouse-select-font' directly gives me that menu, but I can't
reproduce the crash.  I get an enormously long menu, but I guess the
length depends on the number of installed fonts.

(length (font-family-list))
=> 1211

here -- what does this return for you, Gregor?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no